Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javassist
Class Modifier

    java.lang.Object
      |
      +--javassist.Modifier

public class Modifier
extends java.lang.Object

The Modifier class provides static methods and constants to decode class and member access modifiers. The constant values are equivalent to the corresponding values in `javassist.bytecode.AccessFlag`.

All the methods/constants in this class are compatible with ones in `java.lang.reflect.Modifier`.

See Also:
  `CtClass.getModifiers()`

Field Summary
`static int` | `ABSTRACT`
`static int` | `FINAL`
`static int` | `INTERFACE`
`static int` | `NATIVE`
`static int` | `PRIVATE`
`static int` | `PROTECTED`
`static int` | `PUBLIC`
`static int` | `STATIC`
`static int` | `STRICT`
`static int` | `SYNCHRONIZED`
`static int` | `TRANSIENT`
`static int` | `VOLATILE`

Constructor Summary
`Modifier()`

Method Summary
`static int` | `clear(int mod, int clearBit)` Clears a specified bit in `mod`.
`static boolean` | `isAbstract(int mod)` Returns true if the modifiers include the `abstract` modifier.
`static boolean` | `isFinal(int mod)` Returns true if the modifiers include the `final` modifier.
`static boolean` | `isInterface(int mod)` Returns true if the modifiers include the `interface` modifier.
`static boolean` | `isNative(int mod)` Returns true if the modifiers include the `native` modifier.
`static boolean` | `isPrivate(int mod)` Returns true if the modifiers include the `private` modifier.
`static boolean` | `isProtected(int mod)` Returns true if the modifiers include the `protected` modifier.
`static boolean` | `isPublic(int mod)` Returns true if the modifiers include the `public` modifier.
`static boolean` | `isStatic(int mod)` Returns true if the modifiers include the `static` modifier.
`static boolean` | `isStrict(int mod)` Returns true if the modifiers include the `strictfp` modifier.
`static boolean` | `isSynchronized(int mod)` Returns true if the modifiers include the `synchronized` modifier.
`static boolean` | `isTransient(int mod)` Returns true if the modifiers include the `transient` modifier.
`static boolean` | `isVolatile(int mod)` Returns true if the modifiers include the `volatile` modifier.
`static int` | `setPackage(int mod)` Clears the public, protected, and private bits.
`static int` | `setPrivate(int mod)` Truns the private bit on.
`static int` | `setProtected(int mod)` Truns the protected bit on.
`static int` | `setPublic(int mod)` Truns the public bit on.
`static java.lang.String` | `toString(int mod)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PUBLIC

    public static final int PUBLIC

See Also:
  Constant Field Values

### PRIVATE

    public static final int PRIVATE

See Also:
  Constant Field Values

### PROTECTED

    public static final int PROTECTED

See Also:
  Constant Field Values

### STATIC

    public static final int STATIC

See Also:
  Constant Field Values

### FINAL

    public static final int FINAL

See Also:
  Constant Field Values

### SYNCHRONIZED

    public static final int SYNCHRONIZED

See Also:
  Constant Field Values

### VOLATILE

    public static final int VOLATILE

See Also:
  Constant Field Values

### TRANSIENT

    public static final int TRANSIENT

See Also:
  Constant Field Values

### NATIVE

    public static final int NATIVE

See Also:
  Constant Field Values

### INTERFACE

    public static final int INTERFACE

See Also:
  Constant Field Values

### ABSTRACT

    public static final int ABSTRACT

See Also:
  Constant Field Values

### STRICT

    public static final int STRICT

See Also:
  Constant Field Values

Constructor Detail

### Modifier

    public Modifier()

Method Detail

### isPublic

    public static boolean isPublic(int mod)

  Returns true if the modifiers include the `public` modifier.

### isPrivate

    public static boolean isPrivate(int mod)

  Returns true if the modifiers include the `private` modifier.

### isProtected

    public static boolean isProtected(int mod)

  Returns true if the modifiers include the `protected` modifier.

### isStatic

    public static boolean isStatic(int mod)

  Returns true if the modifiers include the `static` modifier.

### isFinal

    public static boolean isFinal(int mod)

  Returns true if the modifiers include the `final` modifier.

### isSynchronized

    public static boolean isSynchronized(int mod)

  Returns true if the modifiers include the `synchronized` modifier.

### isVolatile

    public static boolean isVolatile(int mod)

  Returns true if the modifiers include the `volatile` modifier.

### isTransient

    public static boolean isTransient(int mod)

  Returns true if the modifiers include the `transient` modifier.

### isNative

    public static boolean isNative(int mod)

  Returns true if the modifiers include the `native` modifier.

### isInterface

    public static boolean isInterface(int mod)

  Returns true if the modifiers include the `interface` modifier.

### isAbstract

    public static boolean isAbstract(int mod)

  Returns true if the modifiers include the `abstract` modifier.

### isStrict

    public static boolean isStrict(int mod)

  Returns true if the modifiers include the `strictfp` modifier.

### setPublic

    public static int setPublic(int mod)

  Truns the public bit on. The protected and private bits are cleared.

### setProtected

    public static int setProtected(int mod)

  Truns the protected bit on. The protected and public bits are cleared.

### setPrivate

    public static int setPrivate(int mod)

  Truns the private bit on. The protected and private bits are cleared.

### setPackage

    public static int setPackage(int mod)

  Clears the public, protected, and private bits.

### clear

    public static int clear(int mod,
                            int clearBit)

  Clears a specified bit in `mod`.

### toString

    public static java.lang.String toString(int mod)

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Javassist, a Java-bytecode translator toolkit. Copyright (C) 1999-2003 Shigeru Chiba. All Rights Reserved.